blackwingcat

.NET Framework 3.5 SP1 Project

24 posts in this topic

I gave up on 3.5.5 and reverted back to 2.72, but when I ran the installer I got this:

post-290980-127514577346_thumb.png

I've EZ Installed kernel32 to the specified directory, but it still doesn't work.

Could you please translate the PDN installation guide to English?

0

Share this post


Link to post
Share on other sites

Hi Svenne.

Did you check Ez KD Registry and Reboot your PC ?

Here are some English guide.

Windows 2000 Gaming

Tools & Info

BlackWingCat's KDW API Wrapper & Tools

I gave up on 3.5.5 and reverted back to 2.72, but when I ran the installer I got this:

post-290980-127514577346_thumb.png

I've EZ Installed kernel32 to the specified directory, but it still doesn't work.

Could you please translate the PDN installation guide to English?

0

Share this post


Link to post
Share on other sites

I looked at install Paint.Net 3.5.5 installer.

It was made with VS2010, and fail to install.

You had better try to install 3.5.4.

I'll seek how to install 3.5.5.

Extracted the files manually with 7-zip, and tried to run the file PaintDotNet.msi in the folder $_OUTDIR. It resulted in this error message:

post-290980-127500341204_thumb.png

Translated to english:

This installation package is not supported by this CPU type. Please contact the hardware reseller.

CPU: Intel Celeron III Tualatin 1200 Mhz.

0

Share this post


Link to post
Share on other sites

IT STILL DOES NOT SUPPORT FULLY WPF FUNCTIONALITY!!!

Hi There,

I installed NetFx35W2KRC3.exe on Win2K without any error. Used EZ, and I was able to make my WPF app to come up. However, all the images I used for my app could not be shown. (They were in resource/xaml). Another problem is that when I closed the app, it disappeared, but checked again Task Manager, the process was still there.

This issue applies to any WPF application which use images.

I tried to unpack NetFx35W2KRC3.exe, and install separated components step-by-step to find out the reason. There only thing failed was Windows Imaging Component 3.0 (WIC). In the Japanese version, it says some error which I could not read. I used the equiv. English version and it tells you to not support the OS version you have.

Checked again the setup .inf,

[Version]

Signature="$Windows NT$"

[DefaultBranchesServicePacks.WinNt51]

0=WinXP

[DefaultBranchesServicePacks.WinNt52]

0=Srv2k3

---> This is what I added to hack to no avail though!!!!

[DefaultBranchesServicePacks.WinNt50]

0=WinXP

[sourceInfsBranches]

WinXP=update\update_WinXP.inf

Srv2k3=update\update_srv2k3.inf

I would very much appreciate anyone knows the work around?

Thanks

0

Share this post


Link to post
Share on other sites

[DefaultBranchesServicePacks.WinNt50]

0=WinXP

I would very much appreciate anyone knows the work around?

Thanks

Putting Windows Imaging Component WMI on windows 2000.

I am trying to install dot net 4 onto 2k. i got errors about proceedures in ntdll and advapi32 (if you get further) if i run setup, so i decided to run the MSI and it wants WIC. so i had to find a way to get it on.

yes yours is good for the error "could not find the update.inf file needed to update your system". before you click OK, look in each of your drives for a new zany long hex folder name with an "update" subfolder. copy that stuff elsewhere (the one file in use is not necessary). then after the above modification you got the error "the version of windows you have installed does not match the update you are trying to install" i used openedfilesview, which told me where the log file is, c:\winnt\WIC.log. and gives me: time: CheckSystem: Minor Version mismatch:STATUS_NT_VERSION_MISMATCH, time: DoInstallation: CheckSystem Failed: 0xf021. this text appears in the exe. hmm. needs cracking.

so for my second cracked program, (unfortunately i dont know anymore how to save in ollydbg, as i hardly do it, all the instructions on the net have a convient "Right click> save modifications> all modifications" but for me what is remotely like it is right click on each your modified lines, edit, then choose copy to executable, but then once i save its corrupt... v2.01alpha2) so i will tell you the steps to crack it and you can save it if you can, or just run it.

step 1

search for lines 102ec81, 102ecbd and 102ecc1 (choose, right click, edit, fill these with nops, especailly the first)

now it will give an error lines: time: DoInstallation: CheckSystem Failed: 0xf001, time: Setup cannot update your Windows 2000 files because the language installed on your system is different from the update language.

step2

search for line 105450f and right click, assemble, and change JE to JMP

and it will run (you will need to shift click the run button). enjoy.

charlie

Edited by Charlieb000
0

Share this post


Link to post
Share on other sites

@Charlieb000

.NET Framework 4.0 can be installed but doesn't work. Only very basic applications work while all the others which use .NET 4.0 functions crash. At the moment it's quite useless :(

0

Share this post


Link to post
Share on other sites

I found some .Net 4.0 Application Crash with using "ClearTypeHInt.Enabled".

How can we implement it ?

For example MiniTwitter 1.5

lea eax,[ebp-10h]

push eax

push ebx

push offset '{2da8dded-086f-4cb9-a77f-b974b9cb0186}',0000h

push ebx

push offset 'ncalrpc'

push ebx

mov [ebp-10h],ebx

call [RPCRT4.dll!RpcStringBindingComposeW]

mov esi,eax

cmp esi,ebx

jnz L562005C5

mov eax,[ebp-10h]

mov [ebp-18h],eax

push eax

lea edi,[ebp-14h]

mov [ebp-04h],ebx

call SUB_L561D9896

mov byte ptr [ebp-04h],01h

push [ebp-14h]

call [RPCRT4.dll!RpcMgmtIsServerListening] << Fail

cmp eax,ebx

Edited by blackwingcat
0

Share this post


Link to post
Share on other sites

Seatools only seems shows scsi scan error on my environment.

and Freemake Video Downloader works on MY PC.

My test Environment:

Kernel v22i4 + .Net Framework 4.0 RC1 for Windows 2000 + VC2010 runtime for Extended kernel v4

Other programs that use .NET Framework 4.0 are Freemake Video Downloader and SeaTools for Windows version 1.2.0.6. older versions of Seatools for Windows worked with older versions of .NET (2.0/3.0/3.5) but not 1.2.0.6. these programs may not work on win2k, even with KernelEx installed.

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.